Package io.dapr.v1

# Interface DaprProtos.SubscribeTopicEventsRequestAlpha1OrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubscribeTopicEventsRequestAlpha1`, `DaprProtos.SubscribeTopicEventsRequestAlpha1.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubscribeTopicEventsRequestAlpha1OrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.SubscribeTopicEventsRequestProcessedAlpha1`
`getEventProcessed()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`
`DaprProtos.SubscribeTopicEventsRequestProcessedAlpha1OrBuilder`
`getEventProcessedOrBuilder()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`
`DaprProtos.SubscribeTopicEventsRequestInitialAlpha1`
`getInitialRequest()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`
`DaprProtos.SubscribeTopicEventsRequestInitialAlpha1OrBuilder`
`getInitialRequestOrBuilder()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`
`DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase`
`getSubscribeTopicEventsRequestTypeCase()`
`boolean`
`hasEventProcessed()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`
`boolean`
`hasInitialRequest()`
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasInitialRequest

boolean hasInitialRequest()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`

Returns:
  Whether the initialRequest field is set.

### getInitialRequest

DaprProtos.SubscribeTopicEventsRequestInitialAlpha1 getInitialRequest()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`

Returns:
  The initialRequest.

### getInitialRequestOrBuilder

DaprProtos.SubscribeTopicEventsRequestInitialAlpha1OrBuilder getInitialRequestOrBuilder()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestInitialAlpha1 initial_request = 1;`

### hasEventProcessed

boolean hasEventProcessed()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`

Returns:
  Whether the eventProcessed field is set.

### getEventProcessed

DaprProtos.SubscribeTopicEventsRequestProcessedAlpha1 getEventProcessed()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`

Returns:
  The eventProcessed.

### getEventProcessedOrBuilder

DaprProtos.SubscribeTopicEventsRequestProcessedAlpha1OrBuilder getEventProcessedOrBuilder()
`.dapr.proto.runtime.v1.SubscribeTopicEventsRequestProcessedAlpha1 event_processed = 2;`

### getSubscribeTopicEventsRequestTypeCase

DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase getSubscribeTopicEventsRequestTypeCase()